/* VickyMD
 * Distributed under AGPL3
 *
 * Please include the following in your index.html file
 *
 *   <script src="https://cdn.jsdelivr.net/npm/yamljs@0.3.0/dist/yaml.min.js"></script>
 *   <script src="https://cdn.jsdelivr.net/npm/echarts-gl@1.1.1/dist/echarts-gl.min.js"></script>
 *
 */
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};

(function (mod){ //[HyperMD] UMD patched!
  /*commonjs*/  ("object"==typeof exports&&"undefined"!=typeof module) ? mod(null, exports, require("codemirror"), require("../addon/fold-code"), require("../addon/fold"), require("yamljs")) :
  /*amd*/       ("function"==typeof define&&define.amd) ? define(["require","exports","codemirror","../addon/fold-code","../addon/fold","yamljs"], mod) :
  /*plain env*/ mod(null, (this.HyperMD.FoldCodeWithEcharts = this.HyperMD.FoldCodeWithEcharts || {}), CodeMirror, HyperMD.FoldCode, HyperMD.Fold, YAML);
})(function (require, exports, CodeMirror, fold_code_1, fold_1, YAML) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    CodeMirror = __importStar(CodeMirror);
    YAML = __importStar(YAML);
    exports.EchartsRenderer = function (code, info) {
        var id = "_echarts_id_" + Math.round(1e9 * Math.random()).toString(36);
        var el = document.createElement("div");
        el.setAttribute("id", id);
        el.style.width = fold_code_1.convertNumberToString(info.attributes["width"], "400px");
        el.style.height = fold_code_1.convertNumberToString(info.attributes["height"], "400px");
        el.style.maxWidth = info.attributes["maxWidth"] || "100%";
        try {
            var option = {};
            if (code.trim()[0] !== "{") {
                option = YAML.parse(code);
            }
            else {
                option = JSON.parse(code);
            }
            var myChart = window["echarts"].init(el);
            myChart.setOption(option);
            if (info.changed) {
                info.changed();
            }
        }
        catch (error) {
            el.innerText = error.toString();
        }
        return {
            element: el,
            asyncRenderer: null
        };
    };
    if (window["echarts"]) {
        CodeMirror.defineOption("echarts", null, function (cm) {
            fold_code_1.getAddon(cm).clear("echarts");
            fold_1.getAddon(cm).startFold();
        });
        fold_code_1.registerRenderer({
            name: "echarts",
            pattern: /^echarts(\s*$|\s+\{)/i,
            renderer: exports.EchartsRenderer,
            suggested: true
        });
    }
    else {
        if (window["VICKYMD_DEBUG"]) {
            console.error("[HyperMD] PowerPack fold-code-with-echarts failed to load.\nPlease include\n\n   <script src=\"https://cdn.jsdelivr.net/npm/yamljs@0.3.0/dist/yaml.min.js\"></script>\n   <script src=\"https://cdn.jsdelivr.net/npm/echarts-gl@1.1.1/dist/echarts-gl.min.js\"></script>\n\nin your HTML file");
        }
    }
});
/*

# Example

```echarts
 {
    "title": {
        "text": "ECharts entry example"
    },
    "tooltip": {},
    "legend": {
        "data":["Sales"]
    },
    "xAxis": {
        "data": ["shirt","cardign","chiffon shirt","pants","heels","socks"]
    },
    "yAxis": {},
    "series": [{
        "name": "Sales",
        "type": "bar",
        "data": [5, 20, 36, 10, 10, 20]
    }]
}
```
*/
